Summary:	PCRE binding for OCaml
Summary(pl.UTF-8):	Wiązania PCRE dla OCamla
Name:		ocaml-pcre
Version:	7.1.2
Release:	1
License:	LGPL v2.1+ with OCaml linking exception
Group:		Libraries
Source0:	https://github.com/mmottl/pcre-ocaml/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b0e73c693080baf4fbd8797c8d9c8d3c
URL:		http://mmottl.github.io/pcre-ocaml/
BuildRequires:	ocaml >= 1:3.12
BuildRequires:	ocaml-findlib >= 1.5
BuildRequires:	pcre-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. It can be used for
matching regular expressions which are written in "Perl"-style.

This package contains files needed to run bytecode executables using
this library.

%description -l pl.UTF-8
Biblioteka zawarta w tym pakiecie umożliwia korzystanie z biblioteki
PCRE (wyrażenia regularne kompatybilne z Perlem), która jest z kolei
napisana w C. Może być ona używana do dopasowywania wyrażeń
regularnych napisanym w ,,stylu Perla''.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	PCRE binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania PCRE dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. It can be used for
matching regular expressions which are written in "Perl"-style.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Biblioteka zawarta w tym pakiecie umożliwia korzystanie z biblioteki
PCRE (wyrażenia regularne kompatybilne z Perlem), która jest z kolei
napisana w C. Może być ona używana do dopasowywania wyrażeń
regularnych napisanym w ,,stylu Perla''.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n pcre-ocaml-%{version}

%build
# not autoconf configure
./configure \
	--prefix=%{_prefix} \
	--docdir=$(pwd)/doc

%{__make} -j1 all \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -DPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib/pcre,stublibs}

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/pcre/*.mli

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv $RPM_BUILD_ROOT%{_libdir}/ocaml/pcre/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pcre
echo 'directory = "+pcre"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pcre/META

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGES.txt README.md
%dir %{_libdir}/ocaml/pcre
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllpcre_stubs.so
%{_libdir}/ocaml/stublibs/dllpcre_stubs.so.owner

%files devel
%defattr(644,root,root,755)
%doc lib/*.mli
%{_libdir}/ocaml/pcre/libpcre_stubs.a
%{_libdir}/ocaml/pcre/pcre.a
%{_libdir}/ocaml/pcre/pcre.cm[ixa]*
%{_libdir}/ocaml/pcre/pcre_compat.cm[ix]
%{_libdir}/ocaml/pcre/pcre_compat.ml
%{_libdir}/ocaml/site-lib/pcre
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-pcre.git;a=log;h=master

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 10b1e4d
- new URLs, updated to 7.1.2

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> c2b0fe2
- rebuild with ocaml 4.02
- release 4 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 068d9e5
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> afe99f2
- rebuild with fixed rpm macros
- release 2 (by relup.sh)

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> d90ed78
- new URLs, updated to 7.0.2

* Thu Mar 29 2012 Jan Rękorajski <baggins@pld-linux.org> a92fb5e
- release 2

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 654d7db
- make test

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> e288de6
- 6.2.2

* Sat Apr 18 2009 areq <areq@pld-linux.org> 8f57fc0
- 5.16.4

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ae2abff
- release 5

* Sat Jun 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> df7d3d3
- release 4

* Fri Feb 01 2008 Elan Ruusamäe <glen@pld-linux.org> 9e8000a
- rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 4f1c1e3
- rel 2

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> c1d54a3
- up to 5.12.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c920d8f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc9ee53
- converted to UTF-8

* Wed Dec 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 7573fd0
- updated to existing version (5.11.2), spec cleanup

* Wed Dec 20 2006 Jakub Bogusz <qboosh@pld-linux.org> a16b758
- updated URLs

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> 62796e9
- rel 6 (rebuild with ocaml-3.09.2)

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> e1f4f07
- ocaml epoch is 1

